Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class STCEntryImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.STCEntryImpl

All Implemented Interfaces:
  STCEntry

    public class STCEntryImpl

extends java.lang.Object
implements STCEntry

This class is used as a container for an entry and its attributes

Version:
  $Revision: 1.4 $
Author:
  $Author: npedapud $, Asha Balasubramanyan - Refactored the code to achieve high performance and implemented reset logic

Constructor Summary
`protected` | `STCEntryImpl()`
`protected` | `STCEntryImpl(java.lang.String name)` Creates a new instance of STCEntry with no attributes

Method Summary
`int` | `countAttribute()` Returns the number of attributes
`STCAttributes` | `getAttributes()` Gets the attributes of the entry
`java.lang.String` | `getName()` Gets the name of the entry
`void` | `reset()` Method to reset the values
`STCAttribute` | `retrieveSTCAttribute(int i)` Returns the attribute at the specified index from the array of attributes
`void` | `setName(java.lang.String name)` Sets the name of the entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCEntryImpl

    protected STCEntryImpl()

### STCEntryImpl

    protected STCEntryImpl(java.lang.String name)

  Creates a new instance of STCEntry with no attributes

  Parameters:
    `name` - the entry name

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of the entry

  Specified by:
    `setName` in interface `STCEntry`
  Parameters:
    `name` - the entry name

### getName

    public java.lang.String getName()

  Gets the name of the entry

  Specified by:
    `getName` in interface `STCEntry`
  Returns:
    the entry name

### getAttributes

    public STCAttributes getAttributes()

  Gets the attributes of the entry

  Specified by:
    `getAttributes` in interface `STCEntry`
  Returns:
    the list of attributes of the entry as a STCAttributes object

### retrieveSTCAttribute

    public STCAttribute retrieveSTCAttribute(int i)
                                      throws java.lang.IndexOutOfBoundsException

  Returns the attribute at the specified index from the array of attributes

  Specified by:
    `retrieveSTCAttribute` in interface `STCEntry`
  Parameters:
    `i` - the index of the attribute to be returned
  Returns:
    the attribute as a STCAttribute object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

### countAttribute

    public int countAttribute()

  Returns the number of attributes

  Specified by:
    `countAttribute` in interface `STCEntry`
  Returns:
    the count of attributes

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `STCEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD